math/py-rpy - The NetBSD Packages Collection

R interface for Python

RPy is a very simple, yet robust, Python interface to the R
Programming Language. It can manage all kinds of R objects and can
execute arbitrary R functions (including the graphic functions).
All the errors from the R language are converted to Python exceptions.
Any modules that later were installed on the R system, can easily
be used from within Python, without introducing any changes.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

textproc/py-jinja2 lang/py-six databases/py-sqlite3 devel/py-setuptools devel/pcre2 lang/python39 lang/python39 math/R math/R math/py-numpy lang/gcc7 devel/pcre2 math/R math/py-numpy lang/gcc7

Binary packages

OSArchitectureVersion
NetBSD 8.0i386py36-rpy-2.9.1nb2.tgz
NetBSD 8.0i386py37-rpy-2.9.1nb2.tgz
NetBSD 8.0i386py38-rpy-2.9.1nb2.tgz
NetBSD 8.0i386py37-rpy-2.9.1nb2.tgz
NetBSD 8.0i386py38-rpy-2.9.1nb2.tgz
NetBSD 8.0powerpcpy36-rpy-2.9.1nb2.tgz
NetBSD 8.0powerpcpy37-rpy-2.9.1nb2.tgz
NetBSD 8.0powerpcpy38-rpy-2.9.1nb2.tgz
NetBSD 8.0powerpcpy36-rpy-2.9.1nb2.tgz
NetBSD 8.0powerpcpy37-rpy-2.9.1nb2.tgz
NetBSD 8.0powerpcpy38-rpy-2.9.1nb2.tgz
NetBSD 8.0powerpcpy36-rpy-2.9.1nb2.tgz
NetBSD 8.0powerpcpy37-rpy-2.9.1nb2.tgz
NetBSD 8.0powerpcpy38-rpy-2.9.1nb2.tgz
NetBSD 8.0powerpcpy36-rpy-2.9.1nb2.tgz
NetBSD 8.0powerpcpy37-rpy-2.9.1nb2.tgz
NetBSD 8.0powerpcpy38-rpy-2.9.1nb2.tgz
NetBSD 8.0x86_64py36-rpy-2.9.1nb2.tgz
NetBSD 8.0x86_64py37-rpy-2.9.1nb2.tgz
NetBSD 8.0x86_64py38-rpy-2.9.1nb2.tgz
NetBSD 8.0x86_64py37-rpy-2.9.1nb2.tgz
NetBSD 8.0x86_64py38-rpy-2.9.1nb2.tgz
NetBSD 9.0aarch64py37-rpy-2.9.1nb2.tgz
NetBSD 9.0aarch64py38-rpy-2.9.1nb2.tgz
NetBSD 9.0aarch64py36-rpy-2.9.1nb2.tgz
NetBSD 9.0aarch64py37-rpy-2.9.1nb2.tgz
NetBSD 9.0aarch64py38-rpy-2.9.1nb2.tgz
NetBSD 9.0aarch64py37-rpy-2.9.1nb2.tgz
NetBSD 9.0aarch64py38-rpy-2.9.1nb2.tgz
NetBSD 9.0alphapy37-rpy-2.9.1nb2.tgz
NetBSD 9.0alphapy38-rpy-2.9.1nb2.tgz
NetBSD 9.0alphapy36-rpy-2.9.1nb2.tgz
NetBSD 9.0alphapy37-rpy-2.9.1nb2.tgz
NetBSD 9.0alphapy38-rpy-2.9.1nb2.tgz
NetBSD 9.0alphapy36-rpy-2.9.1nb2.tgz
NetBSD 9.0alphapy37-rpy-2.9.1nb2.tgz
NetBSD 9.0alphapy38-rpy-2.9.1nb2.tgz
NetBSD 9.0i386py36-rpy-2.9.1nb2.tgz
NetBSD 9.0i386py37-rpy-2.9.1nb2.tgz
NetBSD 9.0i386py38-rpy-2.9.1nb2.tgz
NetBSD 9.0i386py37-rpy-2.9.1nb2.tgz
NetBSD 9.0i386py38-rpy-2.9.1nb2.tgz
NetBSD 9.0i386py37-rpy-2.9.1nb2.tgz
NetBSD 9.0i386py38-rpy-2.9.1nb2.tgz
NetBSD 9.0powerpcpy36-rpy-2.9.1nb2.tgz
NetBSD 9.0powerpcpy37-rpy-2.9.1nb2.tgz
NetBSD 9.0powerpcpy38-rpy-2.9.1nb2.tgz
NetBSD 9.0powerpcpy36-rpy-2.9.1nb2.tgz
NetBSD 9.0powerpcpy37-rpy-2.9.1nb2.tgz
NetBSD 9.0powerpcpy38-rpy-2.9.1nb2.tgz
NetBSD 9.0powerpcpy36-rpy-2.9.1nb2.tgz
NetBSD 9.0powerpcpy37-rpy-2.9.1nb2.tgz
NetBSD 9.0powerpcpy38-rpy-2.9.1nb2.tgz
NetBSD 9.0powerpcpy37-rpy-2.9.1nb2.tgz
NetBSD 9.0powerpcpy38-rpy-2.9.1nb2.tgz
NetBSD 9.0sparc64py36-rpy-2.9.1nb2.tgz
NetBSD 9.0sparc64py37-rpy-2.9.1nb2.tgz
NetBSD 9.0sparc64py38-rpy-2.9.1nb2.tgz
NetBSD 9.0sparc64py36-rpy-2.9.1nb2.tgz
NetBSD 9.0sparc64py37-rpy-2.9.1nb2.tgz
NetBSD 9.0sparc64py38-rpy-2.9.1nb2.tgz
NetBSD 9.0sparc64py37-rpy-2.9.1nb2.tgz
NetBSD 9.0sparc64py38-rpy-2.9.1nb2.tgz
NetBSD 9.0x86_64py37-rpy-2.9.1nb2.tgz
NetBSD 9.0x86_64py38-rpy-2.9.1nb2.tgz
NetBSD 9.0x86_64py37-rpy-2.9.1nb2.tgz
NetBSD 9.0x86_64py38-rpy-2.9.1nb2.tgz
NetBSD 9.0x86_64py36-rpy-2.9.1nb2.tgz
NetBSD 9.0x86_64py37-rpy-2.9.1nb2.tgz
NetBSD 9.0x86_64py38-rpy-2.9.1nb2.tgz
NetBSD 9.0x86_64py37-rpy-2.9.1nb2.tgz
NetBSD 9.0x86_64py38-rpy-2.9.1nb2.tgz
NetBSD 9.0x86_64py37-rpy-2.9.1nb2.tgz
NetBSD 9.0x86_64py38-rpy-2.9.1nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.